Snapvisor Docs

Invite members

Invite people by email to join a team as members. Each invited address receives an email with a link to join. Re-inviting an address that already has a pending invite refreshes it. Requires administrator access to the team. Use it when a team administrator asks to invite people to the team by email address.

POST
/accounts/{accountSlug}/invites

Invite people by email to join a team as members. Each invited address receives an email with a link to join. Re-inviting an address that already has a pending invite refreshes it. Requires administrator access to the team. Use it when a team administrator asks to invite people to the team by email address.

Authorization

AuthorizationBearer <token>

Authenticate as a user with a personal access token.

Send it as a bearer token in the Authorization header:

Authorization: Bearer <personal-access-token>

Personal access tokens act on behalf of the user that created them and are required by endpoints that perform user actions, such as reviewing builds and posting comments.

In: header

Path Parameters

accountSlug*string

Slug of the team.

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/accounts/string/invites" \  -H "Content-Type: application/json" \  -d '{    "members": [      {        "email": "user@example.com",        "level": "owner"      }    ]  }'
[  {    "id": "string",    "email": "user@example.com",    "level": "owner",    "createdAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "expired": true  }]